<template>
  <div>
    <van-row>
      <!-- <van-col span="24">
        <p>Dashboard</p>
      </van-col>-->
      <!-- <van-col span="24"> -->
      <van-pull-refresh v-model="isLoading" @refresh="onRefresh">
        <van-cell-group title="Organizations">
          <OrganizationItem
            v-for="(organization, key) in $store.getters['Organization/filteredOrganizations']"
            :organization="organization"
            :key="key"
          />
        </van-cell-group>
        <van-cell-group title="Services">
          <van-collapse v-model="openServices">
            <van-collapse-item
              v-for="(service, key) in $store.getters['Services/services']"
              :key="key"
              :name="service.name"
              :title="service.name"
            >
              <serviceItem :service="service"></serviceItem>
            </van-collapse-item>
          </van-collapse>
        </van-cell-group>
      </van-pull-refresh>
      <!-- </van-col> -->
    </van-row>
  </div>
</template>

<script>
import OrganizationItem from "./../organization/OrganizationItem";
import ServiceItem from "./../services/ServiceItem";
import { INIT, basePath } from "./../services/actions";
export default {
  name: "dashboard",
  data() {
    return {
      isLoading: false,
      openServices: ["facebook"]
    };
  },
  components: {
    OrganizationItem,
    ServiceItem
  },
  methods: {
    onRefresh() {
      setTimeout(() => {
        this.isLoading = false;
      }, 500);
    }
  },
  mounted() {
    this.$store.dispatch(basePath(INIT));
  }
};
</script>

<style scoped>
</style>
